For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
開発者向けツール
コミュニティお問い合わせコンソール
ホームAPI参照ドキュメント変更ログ

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
ホームAPI参照ドキュメント変更ログ
  • API Reference
      • GETList invited projects
      • GETList projects
      • GETList projects by account
      • GETList recently deleted assets
      • GETShow project
開発者向けツール
コミュニティお問い合わせコンソール
API ReferenceProjects

List projects by account

GET
https://api.frame.io/v4/accounts/:account_id/projects
GET
/v4/accounts/:account_id/projects
1from frameio_experimental import FrameioExperimental
2
3client = FrameioExperimental(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.projects.account_projects_index(
8 account_id="8215b4dd-1c07-48e7-b343-610fdfb7cf6e",
9 api_version="experimental",
10)
1{
2 "data": [
3 {
4 "image": "https://picture.frame.io/image/convert/frameio-uploads-development/projects/d5e6011c-2bc9-4596-be05-77d562627112/project_image_original.png",
5 "description": "Project Description",
6 "owner": {
7 "active": true,
8 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
9 "email": "user_email@example.com",
10 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
11 "name": "Jon Doe"
12 },
13 "adobe_id": "urn:aaid:sc:US:9f4e4d7a-4b6b-4c4f-9f00-b31a91cfc6f3",
14 "created_at": "2024-01-25T19:18:29.614189Z",
15 "id": "fc166901-1b13-49d7-b9c0-c35741e898d3",
16 "name": "My Project",
17 "restricted": false,
18 "root_folder_id": "c49b3469-7424-4837-a755-daa5f9adc83d",
19 "status": "active",
20 "storage": 15000,
21 "updated_at": "2024-02-07T16:44:41.986478Z",
22 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/",
23 "workspace_id": "33798d82-c243-4b4a-a609-5b5b0226923a"
24 }
25 ],
26 "links": {
27 "next": "/v4/accounts/123/workspaces/123/projects"
28 },
29 "total_count": 10
30}

List all projects the authenticated user has access to within the specified account.
Rate Limits: 100 calls per 1.00 minute(s) per account_user

このページは役に立ちましたか?
前へ

List recently deleted assets

次へ

認証

AuthorizationBearer

Bearer <token>形式のBearer認証。tokenは認証トークンです。

パスパラメータ

account_idstring必須
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).

ヘッダー

api-versionenum必須
許可された値:

クエリパラメータ

includeenumオプション
Include query parameter for projects
許可された値:
sortenumオプション
Sort projects by query params
許可された値:
afterstringオプション

Opaque Cursor query param for requests returning paginated results.


NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.

page_sizeintegerオプション1-100デフォルト値 50
Page size query param for requests
include_total_countbooleanオプションデフォルト値 false
Page query param to include the count of all entities

レスポンスヘッダー

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

レスポンス

OK
datalist of objects
Projects
linksobject
Links to paginated data
total_countinteger or null
Total count

エラー

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).